Skip to content
Docs

Update the active rolling release to the next stage for a project

POSThttps://api.vercel.com/v1/projects/{idOrName}/rolling-release/approve-stage
Advance a rollout to the next stage. This is only needed when rolling releases is configured to require manual approval.
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/approve-stage
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/rolling-release/approve-stage?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"nextStageIndex": "123",
"canaryDeploymentId": "example_id"
}),
});
const data = await response.json();
console.log(data);
Response
{
"rollingRelease": {
"activeStage": {
"duration": "null",
"index": "0",
"isFinalStage": "false",
"linearShift": "false",
"requireApproval": "false",
"targetPercentage": "25"
},
"advancementType": "manual-approval",
"canaryDeployment": {
"createdAt": "1540257589405",
"id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ",
"name": "my-project",
"readyState": "READY",
"readyStateAt": "123",
"source": "cli",
"target": "null",
"url": "my-instant-deployment-3ij3cxz9qr.now.sh"
},
"currentCanaryPercentage": "123",
"currentDeployment": {
"createdAt": "1540257589405",
"id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ",
"name": "my-project",
"readyState": "READY",
"readyStateAt": "123",
"source": "cli",
"target": "null",
"url": "my-instant-deployment-3ij3cxz9qr.now.sh"
},
"nextStage": {
"duration": "null",
"index": "0",
"isFinalStage": "false",
"linearShift": "false",
"requireApproval": "false",
"targetPercentage": "25"
},
"queuedDeploymentId": "dpl_ghi789",
"stages": [
{
"duration": "null",
"index": "0",
"isFinalStage": "false",
"linearShift": "false",
"requireApproval": "false",
"targetPercentage": "25"
}
],
"startedAt": "1716210500000",
"state": "ACTIVE",
"substate": "PAUSED",
"updatedAt": "1716210600000"
}
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
Project ID or project name (URL-encoded)
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
nextStageIndexnumberRequired
The index of the stage to transition to
canaryDeploymentIdstringRequired
The id of the canary deployment to approve for the next stage
200Success
rollingReleaseobjectRequired
Rolling release information including configuration and document details, or null if no rolling release exists
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error